
{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (garetxe@gmail.com)
-}

module GI.GObject.Structs
    (     module GI.GObject.Structs.CClosure      ,
    module GI.GObject.Structs.ClosureNotifyData,
    module GI.GObject.Structs.EnumClass     ,
    module GI.GObject.Structs.EnumValue     ,
    module GI.GObject.Structs.FlagsClass    ,
    module GI.GObject.Structs.FlagsValue    ,
    module GI.GObject.Structs.InterfaceInfo ,
    module GI.GObject.Structs.ObjectConstructParam,
    module GI.GObject.Structs.ParamSpecPool ,
    module GI.GObject.Structs.ParamSpecTypeInfo,
    module GI.GObject.Structs.Parameter     ,
    module GI.GObject.Structs.SignalInvocationHint,
    module GI.GObject.Structs.SignalQuery   ,
    module GI.GObject.Structs.TypeClass     ,
    module GI.GObject.Structs.TypeFundamentalInfo,
    module GI.GObject.Structs.TypeInfo      ,
    module GI.GObject.Structs.TypeInstance  ,
    module GI.GObject.Structs.TypeInterface ,
    module GI.GObject.Structs.TypePluginClass,
    module GI.GObject.Structs.TypeQuery     ,
    module GI.GObject.Structs.TypeValueTable,
    module GI.GObject.Structs.ValueArray    ,
    module GI.GObject.Structs.WeakRef       ,


    ) where

import GI.GObject.Structs.CClosure
import GI.GObject.Structs.ClosureNotifyData
import GI.GObject.Structs.EnumClass
import GI.GObject.Structs.EnumValue
import GI.GObject.Structs.FlagsClass
import GI.GObject.Structs.FlagsValue
import GI.GObject.Structs.InterfaceInfo
import GI.GObject.Structs.ObjectConstructParam
import GI.GObject.Structs.ParamSpecPool
import GI.GObject.Structs.ParamSpecTypeInfo
import GI.GObject.Structs.Parameter
import GI.GObject.Structs.SignalInvocationHint
import GI.GObject.Structs.SignalQuery
import GI.GObject.Structs.TypeClass
import GI.GObject.Structs.TypeFundamentalInfo
import GI.GObject.Structs.TypeInfo
import GI.GObject.Structs.TypeInstance
import GI.GObject.Structs.TypeInterface
import GI.GObject.Structs.TypePluginClass
import GI.GObject.Structs.TypeQuery
import GI.GObject.Structs.TypeValueTable
import GI.GObject.Structs.ValueArray
import GI.GObject.Structs.WeakRef

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

import GI.GObject.Types
import GI.GObject.Callbacks


